## whois-4.6.7-1-src.tar.bz2

=== Makefile ===
prefix=/usr

OPTS=-O2

# Solaris
#LDFLAGS=-lnsl -lsocket

# obsolete linux (libc 5)
#LDFLAGS=-lintl

# FreeBSD
#LDFLAGS=-L/usr/local/lib -lgnugetopt -lintl
#CFLAGS=-I/usr/local/include

# OS/2 EMX
#LDFLAGS=-lsocket -Zexe -Dstrncasecmp=strnicmp

all: whois #pos

whois: whois.c whois.h config.h data.h as_del.h ip_del.h tld_serv.h
	$(CC) $(CFLAGS) $(OPTS) whois.c -o whois $(LDFLAGS)

mkpasswd: mkpasswd.c
	$(CC) $(CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd -lcrypt

as_del.h: as_del_list make_as_del.pl
	perl make_as_del.pl < as_del_list > as_del.h

ip_del.h: ip_del_list make_ip_del.pl
	perl make_ip_del.pl < ip_del_list > ip_del.h

tld_serv.h: tld_serv_list make_tld_serv.pl
	perl make_tld_serv.pl < tld_serv_list > tld_serv.h

install: whois
	install -m 0755 whois.exe $(BASEDIR)$(prefix)/bin/
	strip $(BASEDIR)$(prefix)/bin/whois.exe
	install -m 0644 whois.1 $(BASEDIR)$(prefix)/man/man1/

distclean: clean
	rm -f po/whois.pot

clean:
	rm -f as_del.h ip_del.h tld_serv.h whois.exe mkpasswd
	rm -f po/*.mo

test:
	open -- sh -c "while nc -l -p 43 127.0.0.1; do echo END; done"

gnu:
	tar czvvf gnu-whois.tgz Makefile* README *list *.h whois.*

pos:
	cd po && $(MAKE)

=== debian/changelog ===
whois (4.6.7) unstable; urgency=medium

  * Updated .hk, .sg TLDs.
  * Updated Go Daddy disclaimer strings.
  * Removed special processing for corenic queries, it's not needed anymore
    and breaks some queries. (Closes: #208854)
  * Always print the whois.crsnic.net output, or queries for host records
    will have no output. Also, the Status line is important information
    which should not be suppressed.
  * Add a note to the man page to explain that this code sucks, has buffer
    overflows and needs to be rewritten.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Sep 2003 00:40:15 +0200

whois (4.6.6) unstable; urgency=medium

  * Updated polish translation, from Jakub Bogusz of PLD.
  * Added french translation, from William Steve Applegate. (Closes: #197212)
  * Added .dj TLD.
  * Fixed netsol disclaimer strings. (Closes: #195898)
  * Updated PIR server parser.

 -- Marco d'Itri <md@linux.it>  Sun, 15 Jun 2003 18:47:09 +0200

whois (4.6.5) unstable; urgency=medium

  * Added may new ASN blocks from MILNET, LACNIC and JP-NIC.
  * Fixed a bug which broke ASN queries to whois.nic.mil.
  * Added .arpa TLD.
  * Update .aero, .int, .la TLD. (Closes: #187007)
  * Updated Polish translation, courtesy of Jakub Bogusz.
  * Removed CORE NIC handles until the query format will be documented.
  * Added support for nic.cc referrals (patch from Kevin Stone).

 -- Marco d'Itri <md@linux.it>  Mon,  5 May 2003 18:14:46 +0200

whois (4.6.3) unstable; urgency=low

  * Added support for .org referrals. (Closes: #182192, #179539)
  * Fix mkpasswd -H. (Closes: #181696)
  * Added new RIPE IPv6 block.
  * Added again old changelog entries to make Adrian Bunk stop complaining.
    (Closes: #179316).
  * Do not show anymore the output of CRSNIC and PIR servers unless the
    --verbose flag is used.

 -- Marco d'Itri <md@linux.it>  Sun, 16 Mar 2003 15:30:18 +0100

whois (4.6.2) unstable; urgency=high

  * Added APNIC block 2001:e00::/23.
  * Added .pt TLD.
  * Updated .na and .org TLDs.

 -- Marco d'Itri <md@linux.it>  Thu, 23 Jan 2003 18:51:48 +0100

whois (4.6.1) unstable; urgency=medium

  * Oops... queries for 64.0.0.0/2 were broken (Closes: #171575).
  * Added new RIPE ASN block.
  * Disable the timeout after the TCP handshake has been completed.

 -- Marco d'Itri <md@linux.it>  Thu, 12 Dec 2002 02:17:25 +0100

whois (4.6.0) unstable; urgency=medium

  * Added .ai .bo, .bt, .dz, .gi, .pn, .tp and .uz TLDs.
  * Updated .ae, .ar, .at, .bi, .co, .cu, .do, .fm, .ge, .jo, .kr, .lu,
    .lv, .mt, .mu, .mw, .nr, .ph, .pk, .sa, .sb, .ua, .uy, .vi, .vu TLDs
    (courtesy of Frdric L. W. Meunier).
  * Rewritten the IPv6-matching code. Fixed a few bugs there too.
  * Generalized and deuglyfied some parts of the code.
  * Added support for RPSL objects like AS8627:fltr-TRANSIT-OUT.
  * Objects with no dot or hyphen and beginning with a ! are looked up
    in whois.networksolutions.com.
  * The new default server is whois.arin.net since it will only be used
    for network names.
  * Implemented a 60 seconds timeout on queries (Closes: #170255).
  * Changelog trimmed.

 -- Marco d'Itri <md@linux.it>  Thu, 28 Nov 2002 20:49:01 +0100

whois (4.5.34) unstable; urgency=medium

  * Added a new RIPE IPv4 allocation.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Nov 2002 03:52:32 +0100

whois (4.5.33) unstable; urgency=medium

  * Added another RIPE IPv6 allocation.
  * Fixed .net.au SLD.

 -- Marco d'Itri <md@linux.it>  Wed, 20 Nov 2002 03:50:49 +0100

whois (4.5.32) unstable; urgency=medium

  * Fixed .in TLD code.
  * Updated .hk, ky, .nz TLDs.
  * Added LACNIC ASN block.
  * Added -uanic NIC handles.
  * RPSL flags are not stripped anymore even if the server is unrecognized.

 -- Marco d'Itri <md@linux.it>  Sat, 16 Nov 2002 04:25:08 +0100

whois (4.5.31) unstable; urgency=medium

  * Added undocumented -V command line option.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Oct 2002 17:35:18 +0200

whois (4.5.30) unstable; urgency=medium

  * Added support for -c flag.
  * Updated .aero, .dk, .ee, .gr and .in TLD servers.
  * Updated spanish translation.
  * Updated whois query code for the new ARIN server (Closes: #160693).
  * Reviewed all hide_strings[] (Closes: #161462).
  * Added many Korean IP and ASN allocations.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Oct 2002 14:24:25 +0200

whois (4.5.29) unstable; urgency=medium

  * Fixed mkpasswd -H (Closes: #149071).
  * Updated .dk and .pk TLD servers (Closes: #155897).
  * Updated LANIC and telstra IP allocations.

 -- Marco d'Itri <md@linux.it>  Sat, 22 Jun 2002 13:02:43 +0200

whois (4.5.28) unstable; urgency=medium

  * Updated .tt TLD server (Closes: #148771).

 -- Marco d'Itri <md@linux.it>  Sat,  1 Jun 2002 23:03:49 +0200

whois (4.5.27) unstable; urgency=medium

  * Added .ae TLD server.
  * Updated .ag TLD server.

 -- Marco d'Itri <md@linux.it>  Fri, 31 May 2002 13:36:21 +0200

whois (4.5.26) unstable; urgency=medium

  * Added .tv and .us TLD servers (Closes: #144257).

 -- Marco d'Itri <md@linux.it>  Fri, 26 Apr 2002 03:31:48 +0200

whois (4.5.25) unstable; urgency=medium

  * Updated data for -H option.
  * Updated .tk and .hr TLD servers (Closes: #140517).
  * Updated mkpasswd (added --password-fd).

 -- Marco d'Itri <md@linux.it>  Fri,  5 Apr 2002 15:20:23 +0200

whois (4.5.22) unstable; urgency=medium

  * Added .bz, .gg, .ir, .je, .my TLD servers.
  * Added -nicir and -denic NIC handles.
  * Updated .hk TLD server.
  * Updated ASN list.
  * netsol-managed gTLD server changed to whois.crsnic.net (Closes: #132221).
  * Updated hide_strings[] for netsol.
  * Fixed bug which truncates password read from stdin (Closes: #137377).

 -- Marco d'Itri <md@linux.it>  Fri,  8 Mar 2002 18:00:11 +0100

whois (4.5.21) unstable; urgency=medium

  * Fixed stupid bug. (Closes: #132067).
  * Added .re and .pm TLD servers.

 -- Marco d'Itri <md@linux.it>  Sun,  3 Feb 2002 17:28:02 +0100

whois (4.5.20) unstable; urgency=medium

  * Updated .dk TLD server (Closes: #130795).


=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.6.1
Build-Depends: debhelper, gettext

Package: whois
Architecture: any
Depends: ${shlibs:Depends}
Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
Description: The GNU whois client
 This is a new whois (RFC 954) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a simple front end to crypt(3).
